#include <iostream>
#include "testlib.h"
using namespace std;

int main(int argc, char* argv[])
{
	registerValidation(argc, argv);
	int N = inf.readInt(101, 10202, "N");
	inf.readSpace();
	int R = inf.readInt(10, 30, "R");
	inf.readSpace();
	int X = inf.readInt(R, 100-R, "X");
	inf.readSpace();
	int Y = inf.readInt(R, 100-R, "Y");
	inf.readEoln();
	inf.readEof();
	return 0;
}